function A=d1z(theta)
# This is a spin-1 spinor rotation matrix about the z-axis.
# Positive theta should corrspond to a left-handed rotation about +zhat.
  A=zeros(3,3);
  t=exp(I*theta);
  A(1,1)=t;
  A(2,2)=1;
  A(3,3)=t';
end;
