#include "sixvec.hxx"
//========================

int main(int argc, char** argv)
{
  sixvec A;

  Point X1(1., 2., 3.);
  Point P1(0.5, 0., 10.);
  sixvec B(X1, P1);
  sixvec C(1., 2., 3., 4., 5., 6.);
  
  std::cout << "A: " << A << "\n";
  std::cout << "B: " << B << "\n";
  std::cout << "C: " << C << "\n";

  sixvec D;


  
  D = C;
  std::cout << "D = C: " << D << "\n";
  D = B+C;
  std::cout << "D = B+C: " << D << "\n";

  std::cout << "B: " << B << "\n";
  std::cout << "C: " << C << "\n";
  D = B-C;
  std::cout << "D = B-C: " << D << "\n";

  D = -B;
  std::cout << "D = -B: " << D << "\n";
  std::cout << "-B: " << -B << "\n";

  D += B;
  std::cout << "D += B: " << D << "\n";
  D -= C;
  std::cout << "D -= C: " << D << "\n";

  D = 2*B;
  std::cout << "D = 2*B: " << D << "\n";
  D = B*2.0;
  std::cout << "D = B*2: " << D << "\n";
  D = B;
  D *= 2.0;
  std::cout << "D = B; D *= 2.0: " << D << "\n";


  D = B/2.0;
  std::cout << "D = B/2: " << D << "\n";
  D = B;
  D /= 2.0;
  std::cout << "D = B; D /= 2.0: " << D << "\n";

  return 0;
}

