// $Header: $
// test.cxx  a test program for the mat6 class

#include <iostream>
#include "mat6/mat6.hxx"

using namespace std;
//==================
int main(int argc, char** argv)
{
  mat6 A, B, C;
  cout << "A:\n"<<A;
  B.m[0][0] = 1;
  B.m[0][1] = 2;
  B.m[0][2] = 3;
  B.m[0][3] = 4;
  B.m[1][0] = 5;
  B.m[1][1] = 6;
  B.m[1][2] = 7;
  B.m[1][3] = 8;
  B.m[2][0] = 9;
  B.m[2][1] = 10;
  B.m[2][2] = 11;
  B.m[2][3] = 12;
  B.m[3][0] = 13;
  B.m[3][1] = 14;
  B.m[3][2] = 15;
  B.m[3][3] = 16;
  cout <<"B:\n"<<B;
  cout <<"trace(B)="<<trace(B)<<endl;
  cout <<"transpose(B):\n"<<transpose(B);
  
  C = A+B;
  cout << "C=A+B:\n"<<C;
  cout << "B*C\n"<<B*C<<endl;
  C = B-A;
  cout <<"C=B-A\n"<<C<<endl;

  cout << "Check SO(3) rotations of 6x6 matrices:\n";
  A = rot6x(0.23);
  cout << "rot6x(t):\n"<<A;
  A = rot6y(0.23);
  cout << "rot6y(t):\n"<<A;
  A = rot6z(0.23);
  cout << "rot6z(t):\n"<<A;

  return 0;
}
