#!/bin/sh
#!/bin/bash

#python notes/responsemat.py

echo "# seed sigxb sigxc x8b x8c x6b x6c orbmax-cor orbmax-uncor"

seed=0

i=0
while test $i -lt 100
do
#let i=`expr $i + 1`
i=`expr $i + 1`

X86/misalignquads $seed quadlist.cdr>qoffsets.dat

#X86/blspin b-misalign.param >&/dev/null
X86/nl_blspin b-misalign.param >/dev/null 2>&1

python grab-orb.py
#python grab-orb.py

cp orbit.dat orbit-bad.dat

cat responsemat.oct correctorb.oct| octave >/dev/null 2>&1

#X86/blspin b-correct.param >&/dev/null
X86/nl_blspin b-correct.param >/dev/null 2>&1
cp orbit.dat orbit-cor.dat

seed=`awk '/genera/ {print $4}' <qoffsets.dat`
sigxb=`avgcolumn 2 <orbit-bad.dat|awk '{print $2}'`
sigxc=`avgcolumn 2 <orbit-cor.dat|awk '{print $2}'`
x8b=`awk '/g8-markx/ {print $2}' orbit-bad.dat`
x8c=`awk '/g8-markx/ {print $2}' orbit-cor.dat`
x6b=`awk '/g6-markx/ {print $2}' orbit-bad.dat`
x6c=`awk '/g6-markx/ {print $2}' orbit-cor.dat`

#  for using 12 correctors
#maxcor=`tail -12 correct.bump|peak 2`
#mincor=`tail -12 correct.bump | multiply 2 -1 | peak 2|multiply 2 -1|grep -v "^#"`
#  for using only 4 correctors
maxcor=`tail -4 correct.bump|peak 2`
mincor=`tail -4 correct.bump | multiply 2 -1 | peak 2|multiply 2 -1|grep -v "^#"`
maxorb=`grep -v drift <orbit-cor.dat|peakabs 2|awk '{print $2}'`
maxorbunc=`grep -v drift <orbit-bad.dat|peakabs 2|awk '{print $2}'`

echo $seed $sigxb $sigxc $x8b $x8c $x6b $x6c $maxcor $mincor $maxorb $maxorbunc

#let seed=`expr $seed + 1`
seed=`expr $seed + 1`

done

plothorbit.gp

IRresults.gp

exit
