function M = Mhealy(V)
#This takes a symmetric matrix and generates a symplectic matrix via Healy's
#transformation.
  d = rows(V);
  S = zeros(d);
  II = eye(d);
  n = 1;
  while n<d
    S(n,n+1) = -1;
    S(n+1,n) = 1;
    n = n+2;
  endwhile;
  M = (II+S*V)*inverse(II-S*V);
end
