function A=d1x(theta)
# This is a spin-1 spinor rotation matrix about the x-axis.
# Positive theta should corrspond to a left-handed rotation about +xhat.
  sosq2=-I*sin(theta)/sqrt(2.);
  c=cos(theta);
  A=[(c+1)/2.,sosq2,(c-1)/2.;sosq2,c,sosq2;(c-1)/2.,sosq2,(c+1)/2.];
end;
