function A = expect(psi)
# This returns the expectation value of the direction a spinor.
sigmax = [0, 1; 1, 0];
sigmay = [0, -I; I, 0];
sigmaz = [1, 0; 0, -1];
x = real(psi'*sigmax*psi);
y = real(psi'*sigmay*psi);
z = real(psi'*sigmaz*psi);
A = [x, y, z]';
endfunction
