int GIdump(void)
{
  if(strcmp(gidump.c_str(), "stdout")==0)
    {
      fgdmp = stdout;
    } else {
      if(strcmp(gidump.c_str(), "stderr")==0)
        {
          fgdmp = stderr;
        } else {
          fgdmp = fopen(gidump.c_str(), "w");
        }
    }
  if(fgdmp == NULL)
    {
      std::cerr<<"Could not fopen("<<gidump<<")\n";
      return -1;
    }
  fprintf(fgdmp, "#flatname:\t%s\n", flatname.c_str());
  fprintf(fgdmp, "#snakefile:\t%s\n", snakefile.c_str());
  fprintf(fgdmp, "#bumpfile:\t%s\n", bumpfile.c_str());
  fprintf(fgdmp, "#solfile:\t%s\n", solfile.c_str());
  fprintf(fgdmp, "#dBoBfile:\t%s\n", dBoBfile.c_str());
  fprintf(fgdmp, "#offsetfile:\t%s\n", offsetfile.c_str());
  fprintf(fgdmp, "#scaleoffset:\t%f\n", scaleoffset);
  fprintf(fgdmp, "#gidump:\t%s\n", gidump.c_str());
  fprintf(fgdmp, "#orbitfile:\t%s\n", orbitfile.c_str());
  fprintf(fgdmp, "#matfile:\t%s\n", matfile.c_str());
  fprintf(fgdmp, "#lmatfile:\t%d\n", lmatfile);
  fprintf(fgdmp, "#smfile:\t%s\n", smfile.c_str());
  fprintf(fgdmp, "#lsm:\t%d\n", lsm);
  fprintf(fgdmp, "#spinorfile:\t%s\n", spinorfile.c_str());
  fprintf(fgdmp, "#lspinor:\t%d\n", lspinor);
  fprintf(fgdmp, "#corrfile:\t%s\n", corrfile.c_str());
  fprintf(fgdmp, "#lcorrdmp:\t%d\n", lcorrdmp);
  fprintf(fgdmp, "#c:\t%f\n", c);
  fprintf(fgdmp, "#particle:\t%s\n", particle.c_str());
  fprintf(fgdmp, "#G:\t%f\n", G);
  fprintf(fgdmp, "#mc2:\t%f\n", mc2);
  fprintf(fgdmp, "#Z:\t%f\n", Z);
  fprintf(fgdmp, "#amu:\t%f\n", amu);
  fprintf(fgdmp, "#design_length:\t%f\n", design_length);
  fprintf(fgdmp, "#U0:\t%f\n", U0);
  fprintf(fgdmp, "#kqd:\t%f\n", kqd);
  fprintf(fgdmp, "#kqf:\t%f\n", kqf);
  fprintf(fgdmp, "#rfSWN:\t%s\n", rfSWN.c_str());
  fprintf(fgdmp, "#harmnum:\t%d\n", harmnum);
  fprintf(fgdmp, "#Vrf:\t%f\n", Vrf);
  fprintf(fgdmp, "#phirf:\t%f\n", phirf);
  fprintf(fgdmp, "#clorb:\t%d\n", clorb);
  fprintf(fgdmp, "#nlin:\t%d\n", nlin);
  fprintf(fgdmp, "#x_init:\t%f\n", x_init);
  fprintf(fgdmp, "#xp_init:\t%f\n", xp_init);
  fprintf(fgdmp, "#y_init:\t%f\n", y_init);
  fprintf(fgdmp, "#yp_init:\t%f\n", yp_init);
  fprintf(fgdmp, "#z_init:\t%f\n", z_init);
  fprintf(fgdmp, "#delta_init:\t%f\n", delta_init);
  fprintf(fgdmp, "#helicity:\t%d\n", helicity);
  fprintf(fgdmp, "#Sxin:\t%f\n", Sxin);
  fprintf(fgdmp, "#Syin:\t%f\n", Syin);
  fprintf(fgdmp, "#Szin:\t%f\n", Szin);
  fprintf(fgdmp, "#nbsteps:\t%d\n", nbsteps);
  fprintf(fgdmp, "#nqsteps:\t%d\n", nqsteps);
  fprintf(fgdmp, "#zerotol:\t%f\n", zerotol);
  fprintf(fgdmp, "#lstrobave:\t%d\n", lstrobave);
  fprintf(fgdmp, "#npart:\t%d\n", npart);
  fprintf(fgdmp, "#nturns:\t%d\n", nturns);
  fprintf(fgdmp, "#nvifile:\t%s\n", nvifile.c_str());
  fprintf(fgdmp, "#nvffile:\t%s\n", nvffile.c_str());
  fprintf(fgdmp, "#nvtbtfile:\t%s\n", nvtbtfile.c_str());
  return 0;
}
